﻿using System.Data.Entity;
using System.Data.Entity.ModelConfiguration.Conventions;
using IdeaBlade.EntityModel;

namespace CodeFirstWalk.Model
{
    [DataSourceKeyName("CodeFirstWalk")]
    class ProductDbContext : DbContext
    {
        public ProductDbContext(string connection) : base(connection)
        {
            // Do not use in production; for early development only
            Database.SetInitializer(
                new DropCreateDatabaseIfModelChanges<ProductDbContext>());
        }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Conventions.Remove<PluralizingTableNameConvention>();
            modelBuilder.Ignore<EntityAspect>();
        }

        public DbSet<Supplier> Suppliers { get; set; } // root entity for model discovery
        //public DbSet<Category> Categories { get; set; } // Not necessary because discovered
        //public DbSet<Product> Products { get; set; } // Not necessary because discovered
    }
}
